Package org.apache.ignite.lang

## Interface IgniteBiInClosure<E1,​E2>

Type Parameters:
  `E1` - Type of the first parameter.
  `E2` - Type of the second parameter.

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `CI2<E1,​E2>`, `GridCacheUtils.BackupPostProcessingClosure`, `PlatformCachePluginConfigurationClosure`, `PlatformPluginConfigurationClosure`

All Known Implementing Classes:
  `CIX2`, `GridDhtCacheAdapter.MessageHandler`, `IgniteDiagnosticMessage.DiagnosticBaseClosure`, `IgniteDiagnosticMessage.ExchangeInfoClosure`, `IgniteDiagnosticMessage.TxEntriesInfoClosure`, `IgniteDiagnosticMessage.TxInfoClosure`, `IgniteInClosure2X`, `StreamVisitor`

    public interface IgniteBiInClosure<E1,​E2>
    extends Serializable

Closure with two in-parameters and void return type.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply​(E1 e1, E2 e2)` Closure body.

### Method Detail

#### apply

    void apply​(E1 e1,
               E2 e2)

Closure body.

Parameters:
  `e1` - First parameter.
  `e2` - Second parameter.